Loading...
Searching...
No Matches
pappso::cbor::psm::PsmFileScanProcessAndCopy Class Reference

Basic PSM file reader to process scan (parallelized scan processing) and write a new resulting PSM file. More...

`#include <psmfilescanprocessandcopy.h>`

Inheritance diagram for pappso::cbor::psm::PsmFileScanProcessAndCopy:

## Public Member Functions

| PsmFileScanProcessAndCopy (std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QString &operation)
virtual | ~PsmFileScanProcessAndCopy ()
void | close () override
| convenient function to clean pointer before leaving
Public Member Functions inherited from pappso::cbor::psm::PsmFileScanProcess
| PsmFileScanProcess (std::size_t buffer_scan_size)
virtual | ~PsmFileScanProcess ()
Public Member Functions inherited from pappso::cbor::psm::PsmFileReaderBase
| PsmFileReaderBase ()
virtual | ~PsmFileReaderBase () override
void | readCbor (QFile *cborp, pappso::UiMonitorInterface &monitor)
void | readCbor (QIODevice *cborp, pappso::UiMonitorInterface &monitor)
Public Member Functions inherited from pappso::cbor::CborStreamReaderInterface
| CborStreamReaderInterface ()
virtual | ~CborStreamReaderInterface ()

## Protected Member Functions

void | delayProteinMapInMemory ()
void | informationsReady (pappso::UiMonitorInterface &monitor) override
void | logReady (pappso::UiMonitorInterface &monitor) override
void | parameterMapReady (pappso::UiMonitorInterface &monitor) override
void | fastaFilesReady (pappso::UiMonitorInterface &monitor) override
virtual void | proteinMapReady (pappso::UiMonitorInterface &monitor) override
virtual void | processBufferScanDone (pappso::UiMonitorInterface &monitor) override
void | sampleStarted (pappso::UiMonitorInterface &monitor) override
void | sampleFinished (pappso::UiMonitorInterface &monitor) override
void | sampleListStarted (pappso::UiMonitorInterface &monitor) override
void | sampleListFinished (pappso::UiMonitorInterface &monitor) override
Protected Member Functions inherited from pappso::cbor::psm::PsmFileScanProcess
void | readScan (pappso::UiMonitorInterface &monitor) override
void | scanFinished (pappso::UiMonitorInterface &monitor) override
virtual void | processBufferScan (pappso::UiMonitorInterface &monitor)
virtual CborScanMapBase * | newCborScanMap ()=0
void | clearScanBuffer ()
Protected Member Functions inherited from pappso::cbor::psm::PsmFileReaderBase
void | readRoot (pappso::UiMonitorInterface &monitor)
virtual void | readInformations (pappso::UiMonitorInterface &monitor)
virtual void | readLog (pappso::UiMonitorInterface &monitor)
virtual void | readParameterMap (pappso::UiMonitorInterface &monitor)
virtual void | readProteinMap (pappso::UiMonitorInterface &monitor)
virtual void | readSample (pappso::UiMonitorInterface &monitor)
virtual void | readPsm (pappso::UiMonitorInterface &monitor)
virtual void | psmReady (pappso::UiMonitorInterface &monitor)
virtual void | scanStarted (pappso::UiMonitorInterface &monitor)
PsmFile | readPsmFile (bool &is_ok)
void | writePsmFile (CborStreamWriter &writer, const PsmFile &psm_file)
void | writePsmFileList (CborStreamWriter &writer, const std::vector< PsmFile > &file_list)
PsmProteinRef | readPsmProteinRef (bool &is_ok)
pappso::PeptideSp | getCurrentPsmPeptideSp () const
pappso::QualifiedMassSpectrumSPtr | getCurrentQualifiedMassSpectrumSPtr () const
| get the qualified Spectrum for the current PSM
bool | currentProteinRefListContainsDecoy () const
| tells if the current PSM has a decoy accession
bool | currentProteinRefListContainsTarget () const
| tells if the current PSM has a target accession
double | getPrecursorMass (double mz_prec, uint charge) const
| convenient function do compute precusor ion mass
Protected Member Functions inherited from pappso::cbor::CborStreamReaderInterface
bool | getExpectedString ()
void | initCborReader (QFile *pcborfile)
void | initCborReader (QIODevice *pcborfile)

## Protected Attributes

CborStreamWriter * | mp_cborOutput
CborStreamWriter * | mp_copyCborOutput = nullptr
QString | m_operation
pappso::cbor::psm::PsmProteinMap | m_psmNewProteinMap
QBuffer * | mpa_bufferAfterProteinMap = nullptr
pappso::cbor::CborStreamWriter * | mpa_bufferWriterAfterProteinMap = nullptr
Protected Attributes inherited from pappso::cbor::psm::PsmFileScanProcess
std::size_t | m_bufferScanSize = 1000
std::vector< CborScanMapBase * > | m_cborScanList
Protected Attributes inherited from pappso::cbor::psm::PsmFileReaderBase
QStringList | m_targetFastaFiles
QStringList | m_decoyFastaFiles
PsmProteinMap | m_proteinMap
QString | m_currentSampleName
PsmFile | m_currentPeaklistFile
std::vector< PsmFile > | m_currentIdentificationFileList
QCborMap | m_cborInformations
QCborArray | m_cborLog
QCborMap | m_cborParameterMap
QCborMap | m_cborScanId
QCborMap | m_cborScanPrecursor
QCborMap | m_cborScanMs2
QCborMap | m_cborScanProps
QCborMap | m_cborScanPsmEval
QCborMap | m_cborScanPsmProps
QString | m_currentPsmProforma
std::vector< PsmProteinRef > | m_currentPsmProteinRefList
Protected Attributes inherited from pappso::cbor::CborStreamReaderInterface
CborStreamReader * | mpa_cborReader = nullptr
QString | m_expectedString
QByteArray | m_data

## Detailed Description

Basic PSM file reader to process scan (parallelized scan processing) and write a new resulting PSM file.

Definition at line 48 of file psmfilescanprocessandcopy.h.

## Constructor & Destructor Documentation

## PsmFileScanProcessAndCopy()

pappso::cbor::psm::PsmFileScanProcessAndCopy::PsmFileScanProcessAndCopy | ( | std::size_t | buffer_scan_size,
|  | CborStreamWriter * | cbor_output_p,
|  | const QString & | operation )

Default constructor

Definition at line 41 of file psmfilescanprocessandcopy.cpp.

: PsmFileScanProcess(buffer_scan_size)
{
mp_cborOutput = cbor_output_p;
m_operation = operation;
mp_cborOutput->startMap();
mp_copyCborOutput = nullptr;
}
pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_cborOutput
CborStreamWriter * mp_cborOutput
Definition psmfilescanprocessandcopy.h:87
pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_copyCborOutput
CborStreamWriter * mp_copyCborOutput
Definition psmfilescanprocessandcopy.h:88
pappso::cbor::psm::PsmFileScanProcessAndCopy::m_operation
QString m_operation
Definition psmfilescanprocessandcopy.h:89
pappso::cbor::psm::PsmFileScanProcess::PsmFileScanProcess
PsmFileScanProcess(std::size_t buffer_scan_size)
Definition psmfilescanprocess.cpp:41

References pappso::cbor::psm::PsmFileScanProcess::PsmFileScanProcess(), m_operation, mp_cborOutput, and mp_copyCborOutput.

Referenced by pappso::cbor::psm::PsmFeatures::PsmFeatures(), pappso::cbor::psm::PsmFeatures::PsmFeatures(), pappso::cbor::psm::PsmIonSeries::PsmIonSeries(), pappso::cbor::psm::PsmNewEval::PsmNewEval(), pappso::cbor::psm::PsmSpecGlob::PsmSpecGlob(), and pappso::cbor::psm::PsmSpecPeptidOms::PsmSpecPeptidOms().

## ~PsmFileScanProcessAndCopy()

pappso::cbor::psm::PsmFileScanProcessAndCopy::~PsmFileScanProcessAndCopy | ( |  | ) |

virtual

Destructor

Definition at line 55 of file psmfilescanprocessandcopy.cpp.

{
if(mpa_bufferAfterProteinMap != nullptr)
{
delete mpa_bufferAfterProteinMap;
}
if(mpa_bufferWriterAfterProteinMap != nullptr)
{
delete mpa_bufferWriterAfterProteinMap;
}
}
pappso::cbor::psm::PsmFileScanProcessAndCopy::mpa_bufferWriterAfterProteinMap
pappso::cbor::CborStreamWriter * mpa_bufferWriterAfterProteinMap
Definition psmfilescanprocessandcopy.h:94
pappso::cbor::psm::PsmFileScanProcessAndCopy::mpa_bufferAfterProteinMap
QBuffer * mpa_bufferAfterProteinMap
Definition psmfilescanprocessandcopy.h:93

References mpa_bufferAfterProteinMap, and mpa_bufferWriterAfterProteinMap.

## Member Function Documentation

## close()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::close | ( |  | ) |

override virtual

convenient function to clean pointer before leaving

Reimplemented from pappso::cbor::CborStreamReaderInterface.

Definition at line 79 of file psmfilescanprocessandcopy.cpp.

{
if(mp_copyCborOutput == nullptr)
{
mp_cborOutput->endMap();
}
else
{
// mpa_bufferWriterAfterProteinMap->endArray(); // end scan_list
// mpa_bufferWriterAfterProteinMap->endMap(); // end sample
// mpa_bufferWriterAfterProteinMap->endArray(); // end sample_list
mp_copyCborOutput->append("protein_map");
m_psmNewProteinMap.writeMap(*mp_copyCborOutput);
// copy buffer
mp_copyCborOutput->append("sample_list");
// mpa_writer->startArray(); // sample_list
// mpa_writer->endArray(); // end sample_list
mpa_bufferAfterProteinMap->seek(0);
// qWarning() << "size=" << mpa_buffer->data().size();
mp_copyCborOutput->device()->write(mpa_bufferAfterProteinMap->data());
mp_copyCborOutput->endMap();
}
}
pappso::cbor::psm::PsmFileScanProcessAndCopy::m_psmNewProteinMap
pappso::cbor::psm::PsmProteinMap m_psmNewProteinMap
Definition psmfilescanprocessandcopy.h:92

References m_psmNewProteinMap, mp_cborOutput, mp_copyCborOutput, and mpa_bufferAfterProteinMap.

## delayProteinMapInMemory()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::delayProteinMapInMemory | ( |  | ) |

protected

Definition at line 69 of file psmfilescanprocessandcopy.cpp.

{
mp_copyCborOutput = mp_cborOutput;
mpa_bufferAfterProteinMap = new QBuffer();
mpa_bufferAfterProteinMap->open(QIODevice::ReadWrite);
mpa_bufferWriterAfterProteinMap = new pappso::cbor::CborStreamWriter(mpa_bufferAfterProteinMap);
}

References mp_cborOutput, mp_copyCborOutput, mpa_bufferAfterProteinMap, and mpa_bufferWriterAfterProteinMap.

Referenced by pappso::cbor::psm::PsmSpecPeptidOms::PsmSpecPeptidOms().

## fastaFilesReady()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::fastaFilesReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Definition at line 135 of file psmfilescanprocessandcopy.cpp.

{
// "target_fasta_files": ["zea_mays.fasta", "contaminant.fasta"],
if(!m_targetFastaFiles.isEmpty())
{
mp_cborOutput->append("target_fasta_files");
mp_cborOutput->writeArray(m_targetFastaFiles);
}
//"decoy_fasta_files" : ["rev_zea_mays.fasta", "rev_contaminant.fasta"],
if(!m_decoyFastaFiles.isEmpty())
{
mp_cborOutput->append("decoy_fasta_files");
mp_cborOutput->writeArray(m_decoyFastaFiles);
}
}
pappso::cbor::psm::PsmFileReaderBase::m_targetFastaFiles
QStringList m_targetFastaFiles
Definition psmfilereaderbase.h:127
pappso::cbor::psm::PsmFileReaderBase::m_decoyFastaFiles
QStringList m_decoyFastaFiles
Definition psmfilereaderbase.h:128

References pappso::cbor::psm::PsmFileReaderBase::m_decoyFastaFiles, pappso::cbor::psm::PsmFileReaderBase::m_targetFastaFiles, and mp_cborOutput.

## informationsReady()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::informationsReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Definition at line 113 of file psmfilescanprocessandcopy.cpp.

{
mp_cborOutput->writeInformations("pappsomspp_copy", Utils::getVersion(), "psm", m_operation);
}
pappso::Utils::getVersion
static QString getVersion()
Definition utils.cpp:650

References pappso::Utils::getVersion(), m_operation, and mp_cborOutput.

## logReady()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::logReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Definition at line 120 of file psmfilescanprocessandcopy.cpp.

{
m_cborLog.append(m_cborInformations);
mp_cborOutput->append("log");
mp_cborOutput->writeCborArray(m_cborLog);
}
pappso::cbor::psm::PsmFileReaderBase::m_cborLog
QCborArray m_cborLog
Definition psmfilereaderbase.h:134
pappso::cbor::psm::PsmFileReaderBase::m_cborInformations
QCborMap m_cborInformations
Definition psmfilereaderbase.h:133

References pappso::cbor::psm::PsmFileReaderBase::m_cborInformations, pappso::cbor::psm::PsmFileReaderBase::m_cborLog, and mp_cborOutput.

## parameterMapReady()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::parameterMapReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Reimplemented in pappso::cbor::psm::PsmIonSeries, pappso::cbor::psm::PsmNewEval, pappso::cbor::psm::PsmSpecGlob, and pappso::cbor::psm::PsmSpecPeptidOms.

Definition at line 128 of file psmfilescanprocessandcopy.cpp.

{
mp_cborOutput->append("parameter_map");
mp_cborOutput->writeCborMap(m_cborParameterMap);
}
pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap
QCborMap m_cborParameterMap
Definition psmfilereaderbase.h:135

References pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap, and mp_cborOutput.

## processBufferScanDone()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::processBufferScanDone | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileScanProcess.

Reimplemented in pappso::cbor::psm::PsmSpecGlob, and pappso::cbor::psm::PsmSpecPeptidOms.

Definition at line 169 of file psmfilescanprocessandcopy.cpp.

{
// monitor.setStatus(QObject::tr("PsmFileScanProcessAndCopy::processBufferScanDone"));
for(CborScanMapBase *cbor_scan_p : m_cborScanList)
{
// qDebug() << cbor_scan_p->keys();
cbor_scan_p->filterAndSortPsmList();
if(mp_copyCborOutput != nullptr)
{
// populate new protein map
cbor_scan_p->populateProteinMapUsingOldProteinMap(m_proteinMap, m_psmNewProteinMap);
}
// qWarning() << "PsmFileScanProcessAndCopy::processBufferScanDone "
// << cbor_scan_p->value("psm_list").toArray().size();
// cbor_scan_p->write(*mp_cborOutput);
mp_cborOutput->writeCborMap(*cbor_scan_p);
if(!cbor_scan_p->keys().contains("id"))
{
throw pappso::PappsoException(
QObject::tr("missing scan id %1").arg(cbor_scan_p->keys().size()));
}
}
}
pappso::cbor::psm::PsmFileReaderBase::m_proteinMap
PsmProteinMap m_proteinMap
Definition psmfilereaderbase.h:129
pappso::cbor::psm::PsmFileScanProcess::m_cborScanList
std::vector< CborScanMapBase * > m_cborScanList
Definition psmfilescanprocess.h:74
pappso::cbor::psm::PsmFileScanProcess::CborScanMapBase
friend CborScanMapBase
Definition psmfilescanprocess.h:49

References pappso::cbor::psm::PsmFileScanProcess::CborScanMapBase, pappso::cbor::psm::PsmFileScanProcess::m_cborScanList, pappso::cbor::psm::PsmFileReaderBase::m_proteinMap, m_psmNewProteinMap, mp_cborOutput, and mp_copyCborOutput.

Referenced by pappso::cbor::psm::PsmSpecGlob::processBufferScanDone(), and pappso::cbor::psm::PsmSpecPeptidOms::processBufferScanDone().

## proteinMapReady()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::proteinMapReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Reimplemented in pappso::cbor::psm::PsmSpecPeptidOms.

Definition at line 153 of file psmfilescanprocessandcopy.cpp.

{
if(mp_copyCborOutput == nullptr)
{
mp_cborOutput->append("protein_map");
m_proteinMap.writeMap(*mp_cborOutput);
}
else
{
// protein map writing is delayed : swap to temporary buffer writer
mp_cborOutput = mpa_bufferWriterAfterProteinMap;
}
}

References pappso::cbor::psm::PsmFileReaderBase::m_proteinMap, mp_cborOutput, mp_copyCborOutput, and mpa_bufferWriterAfterProteinMap.

Referenced by pappso::cbor::psm::PsmSpecPeptidOms::proteinMapReady().

## sampleFinished()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleFinished | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileScanProcess.

Definition at line 219 of file psmfilescanprocessandcopy.cpp.

{
processBufferScan(monitor);
clearScanBuffer();
mp_cborOutput->endArray();
mp_cborOutput->endMap();
}
pappso::cbor::psm::PsmFileScanProcess::processBufferScan
virtual void processBufferScan(pappso::UiMonitorInterface &monitor)
Definition psmfilescanprocess.cpp:102
pappso::cbor::psm::PsmFileScanProcess::clearScanBuffer
void clearScanBuffer()
Definition psmfilescanprocess.cpp:51

References pappso::cbor::psm::PsmFileScanProcess::clearScanBuffer(), mp_cborOutput, and pappso::cbor::psm::PsmFileScanProcess::processBufferScan().

## sampleListFinished()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleListFinished | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Definition at line 240 of file psmfilescanprocessandcopy.cpp.

{
mp_cborOutput->endArray();
}

References mp_cborOutput.

## sampleListStarted()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleListStarted | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Definition at line 230 of file psmfilescanprocessandcopy.cpp.

{
if(mp_copyCborOutput == nullptr)
{
mp_cborOutput->append("sample_list");
}
mp_cborOutput->startArray();
}

References mp_cborOutput, and mp_copyCborOutput.

## sampleStarted()

void pappso::cbor::psm::PsmFileScanProcessAndCopy::sampleStarted | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileReaderBase.

Definition at line 201 of file psmfilescanprocessandcopy.cpp.

{
mp_cborOutput->startMap();
mp_cborOutput->append("name");
mp_cborOutput->append(m_currentSampleName);
if(m_currentIdentificationFileList.size() > 0)
{
mp_cborOutput->append("identification_file_list");
writePsmFileList(*mp_cborOutput, m_currentIdentificationFileList);
}
mp_cborOutput->append("peaklist_file");
writePsmFile(*mp_cborOutput, m_currentPeaklistFile);
mp_cborOutput->append("scan_list");
mp_cborOutput->startArray();
}
pappso::cbor::psm::PsmFileReaderBase::m_currentPeaklistFile
PsmFile m_currentPeaklistFile
Definition psmfilereaderbase.h:131
pappso::cbor::psm::PsmFileReaderBase::writePsmFileList
void writePsmFileList(CborStreamWriter &writer, const std::vector< PsmFile > &file_list)
Definition psmfilereaderbase.cpp:331
pappso::cbor::psm::PsmFileReaderBase::m_currentSampleName
QString m_currentSampleName
Definition psmfilereaderbase.h:130
pappso::cbor::psm::PsmFileReaderBase::m_currentIdentificationFileList
std::vector< PsmFile > m_currentIdentificationFileList
Definition psmfilereaderbase.h:132
pappso::cbor::psm::PsmFileReaderBase::writePsmFile
void writePsmFile(CborStreamWriter &writer, const PsmFile &psm_file)
Definition psmfilereaderbase.cpp:322

References pappso::cbor::psm::PsmFileReaderBase::m_currentIdentificationFileList, pappso::cbor::psm::PsmFileReaderBase::m_currentPeaklistFile, pappso::cbor::psm::PsmFileReaderBase::m_currentSampleName, mp_cborOutput, pappso::cbor::psm::PsmFileReaderBase::writePsmFile(), and pappso::cbor::psm::PsmFileReaderBase::writePsmFileList().

## Member Data Documentation

## m_operation

QString pappso::cbor::psm::PsmFileScanProcessAndCopy::m_operation

protected

Definition at line 89 of file psmfilescanprocessandcopy.h.

Referenced by PsmFileScanProcessAndCopy(), and informationsReady().

## m_psmNewProteinMap

pappso::cbor::psm::PsmProteinMap pappso::cbor::psm::PsmFileScanProcessAndCopy::m_psmNewProteinMap

protected

Definition at line 92 of file psmfilescanprocessandcopy.h.

Referenced by close(), and processBufferScanDone().

## mp_cborOutput

CborStreamWriter* pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_cborOutput

protected

Definition at line 87 of file psmfilescanprocessandcopy.h.

Referenced by PsmFileScanProcessAndCopy(), close(), delayProteinMapInMemory(), fastaFilesReady(), informationsReady(), logReady(), pappso::cbor::psm::PsmFeatures::parameterMapReady(), parameterMapReady(), pappso::cbor::psm::PsmIonSeries::parameterMapReady(), pappso::cbor::psm::PsmNewEval::parameterMapReady(), pappso::cbor::psm::PsmSpecGlob::parameterMapReady(), pappso::cbor::psm::PsmSpecPeptidOms::parameterMapReady(), processBufferScanDone(), proteinMapReady(), sampleFinished(), sampleListFinished(), sampleListStarted(), and sampleStarted().

## mp_copyCborOutput

CborStreamWriter* pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_copyCborOutput = nullptr

protected

Definition at line 88 of file psmfilescanprocessandcopy.h.

Referenced by PsmFileScanProcessAndCopy(), close(), delayProteinMapInMemory(), processBufferScanDone(), proteinMapReady(), and sampleListStarted().

## mpa_bufferAfterProteinMap

QBuffer* pappso::cbor::psm::PsmFileScanProcessAndCopy::mpa_bufferAfterProteinMap = nullptr

protected

Definition at line 93 of file psmfilescanprocessandcopy.h.

Referenced by ~PsmFileScanProcessAndCopy(), close(), and delayProteinMapInMemory().

## mpa_bufferWriterAfterProteinMap

pappso::cbor::CborStreamWriter* pappso::cbor::psm::PsmFileScanProcessAndCopy::mpa_bufferWriterAfterProteinMap = nullptr

protected

Definition at line 94 of file psmfilescanprocessandcopy.h.

Referenced by ~PsmFileScanProcessAndCopy(), delayProteinMapInMemory(), and proteinMapReady().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/cbor/psm/psmfilescanprocessandcopy.h
- pappsomspp/core/processing/cbor/psm/psmfilescanprocessandcopy.cpp